diff --git a/doc/src/sgml/release-8.2.sgml b/doc/src/sgml/release-8.2.sgml
index d87c5bbd46..f7c82df828 100644
--- a/doc/src/sgml/release-8.2.sgml
+++ b/doc/src/sgml/release-8.2.sgml
@@ -1,7 +1,9 @@
 <!-- doc/src/sgml/release-8.2.sgml -->
 <!-- See header comment in release.sgml about typical markup -->
 
- <sect1 id="release-8-2-23">
+<section>
+ <title>Release 8.2</title>
+ <section id="release-8-2-23">
   <title>Release 8.2.23</title>
 
   <formalpara>
@@ -21,7 +23,7 @@
    release branch soon.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2.23</title>
 
    <para>
@@ -40,9 +42,9 @@
     see <xref linkend="release-8-2-14"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -226,10 +228,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-2-22">
+ <section id="release-8-2-22">
   <title>Release 8.2.22</title>
 
   <formalpara>
@@ -249,7 +251,7 @@
    Users are encouraged to update to a newer release branch soon.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2.22</title>
 
    <para>
@@ -258,9 +260,9 @@
     see <xref linkend="release-8-2-14"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -533,10 +535,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-2-21">
+ <section id="release-8-2-21">
   <title>Release 8.2.21</title>
 
   <formalpara>
@@ -550,7 +552,7 @@
    <xref linkend="release-8-2"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2.21</title>
 
    <para>
@@ -559,9 +561,9 @@
     see <xref linkend="release-8-2-14"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -665,10 +667,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-2-20">
+ <section id="release-8-2-20">
   <title>Release 8.2.20</title>
 
   <formalpara>
@@ -682,7 +684,7 @@
    <xref linkend="release-8-2"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2.20</title>
 
    <para>
@@ -691,9 +693,9 @@
     see <xref linkend="release-8-2-14"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -797,10 +799,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-2-19">
+ <section id="release-8-2-19">
   <title>Release 8.2.19</title>
 
   <formalpara>
@@ -814,7 +816,7 @@
    <xref linkend="release-8-2"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2.19</title>
 
    <para>
@@ -823,9 +825,9 @@
     see <xref linkend="release-8-2-14"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -1041,10 +1043,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-2-18">
+ <section id="release-8-2-18">
   <title>Release 8.2.18</title>
 
   <formalpara>
@@ -1058,7 +1060,7 @@
    <xref linkend="release-8-2"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2.18</title>
 
    <para>
@@ -1067,9 +1069,9 @@
     see <xref linkend="release-8-2-14"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -1327,10 +1329,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-2-17">
+ <section id="release-8-2-17">
   <title>Release 8.2.17</title>
 
   <formalpara>
@@ -1344,7 +1346,7 @@
    <xref linkend="release-8-2"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2.17</title>
 
    <para>
@@ -1353,9 +1355,9 @@
     see <xref linkend="release-8-2-14"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -1528,10 +1530,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-2-16">
+ <section id="release-8-2-16">
   <title>Release 8.2.16</title>
 
   <formalpara>
@@ -1545,7 +1547,7 @@
    <xref linkend="release-8-2"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2.16</title>
 
    <para>
@@ -1554,9 +1556,9 @@
     see <xref linkend="release-8-2-14"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -1799,10 +1801,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-2-15">
+ <section id="release-8-2-15">
   <title>Release 8.2.15</title>
 
   <formalpara>
@@ -1816,7 +1818,7 @@
    <xref linkend="release-8-2"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2.15</title>
 
    <para>
@@ -1825,9 +1827,9 @@
     see <xref linkend="release-8-2-14"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -2043,10 +2045,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-2-14">
+ <section id="release-8-2-14">
   <title>Release 8.2.14</title>
 
   <formalpara>
@@ -2060,7 +2062,7 @@
    <xref linkend="release-8-2"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2.14</title>
 
    <para>
@@ -2071,9 +2073,9 @@
     see <xref linkend="release-8-2-11"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -2273,10 +2275,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-2-13">
+ <section id="release-8-2-13">
   <title>Release 8.2.13</title>
 
   <formalpara>
@@ -2290,7 +2292,7 @@
    <xref linkend="release-8-2"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2.13</title>
 
    <para>
@@ -2299,9 +2301,9 @@
     see <xref linkend="release-8-2-11"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -2439,10 +2441,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-2-12">
+ <section id="release-8-2-12">
   <title>Release 8.2.12</title>
 
   <formalpara>
@@ -2456,7 +2458,7 @@
    <xref linkend="release-8-2"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2.12</title>
 
    <para>
@@ -2465,9 +2467,9 @@
     see <xref linkend="release-8-2-11"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -2618,10 +2620,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-2-11">
+ <section id="release-8-2-11">
   <title>Release 8.2.11</title>
 
   <formalpara>
@@ -2635,7 +2637,7 @@
    <xref linkend="release-8-2"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2.11</title>
 
    <para>
@@ -2646,9 +2648,9 @@
     indexes after the upgrade.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -2802,10 +2804,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-2-10">
+ <section id="release-8-2-10">
   <title>Release 8.2.10</title>
 
   <formalpara>
@@ -2819,7 +2821,7 @@
    <xref linkend="release-8-2"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2.10</title>
 
    <para>
@@ -2828,9 +2830,9 @@
     see <xref linkend="release-8-2-7"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -3034,10 +3036,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-2-9">
+ <section id="release-8-2-9">
   <title>Release 8.2.9</title>
 
   <formalpara>
@@ -3051,7 +3053,7 @@
    <xref linkend="release-8-2"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2.9</title>
 
    <para>
@@ -3060,9 +3062,9 @@
     see <xref linkend="release-8-2-7"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -3101,10 +3103,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-2-8">
+ <section id="release-8-2-8">
   <title>Release 8.2.8</title>
 
   <formalpara>
@@ -3118,7 +3120,7 @@
    <xref linkend="release-8-2"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2.8</title>
 
    <para>
@@ -3127,9 +3129,9 @@
     see <xref linkend="release-8-2-7"/>.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -3296,10 +3298,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-2-7">
+ <section id="release-8-2-7">
   <title>Release 8.2.7</title>
 
   <formalpara>
@@ -3313,7 +3315,7 @@
    <xref linkend="release-8-2"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2.7</title>
 
    <para>
@@ -3323,9 +3325,9 @@
     issue described below.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -3565,10 +3567,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-2-6">
+ <section id="release-8-2-6">
   <title>Release 8.2.6</title>
 
   <formalpara>
@@ -3583,16 +3585,16 @@
    <xref linkend="release-8-2"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2.6</title>
 
    <para>
     A dump/restore is not required for those running 8.2.X.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -3856,10 +3858,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-2-5">
+ <section id="release-8-2-5">
   <title>Release 8.2.5</title>
 
   <formalpara>
@@ -3873,16 +3875,16 @@
    <xref linkend="release-8-2"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2.5</title>
 
    <para>
     A dump/restore is not required for those running 8.2.X.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -4033,10 +4035,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-2-4">
+ <section id="release-8-2-4">
   <title>Release 8.2.4</title>
 
   <formalpara>
@@ -4051,16 +4053,16 @@
    <xref linkend="release-8-2"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2.4</title>
 
    <para>
     A dump/restore is not required for those running 8.2.X.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -4177,10 +4179,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-2-3">
+ <section id="release-8-2-3">
   <title>Release 8.2.3</title>
 
   <formalpara>
@@ -4194,16 +4196,16 @@
    <xref linkend="release-8-2"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2.3</title>
 
    <para>
     A dump/restore is not required for those running 8.2.X.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -4223,10 +4225,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-2-2">
+ <section id="release-8-2-2">
   <title>Release 8.2.2</title>
 
   <formalpara>
@@ -4241,16 +4243,16 @@
    <xref linkend="release-8-2"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2.2</title>
 
    <para>
     A dump/restore is not required for those running 8.2.X.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -4381,10 +4383,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-2-1">
+ <section id="release-8-2-1">
   <title>Release 8.2.1</title>
 
   <formalpara>
@@ -4398,16 +4400,16 @@
    <xref linkend="release-8-2"/>.
   </para>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2.1</title>
 
    <para>
     A dump/restore is not required for those running 8.2.
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <itemizedlist>
@@ -4516,10 +4518,10 @@
 
    </itemizedlist>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
 
- <sect1 id="release-8-2">
+ <section id="release-8-2">
   <title>Release 8.2</title>
 
   <formalpara>
@@ -4527,7 +4529,7 @@
    <para>2006-12-05</para>
   </formalpara>
 
-  <sect2>
+  <section>
    <title>Overview</title>
 
    <para>
@@ -4639,9 +4641,9 @@
 
    </para>
 
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Migration to Version 8.2</title>
 
    <para>
@@ -4967,9 +4969,9 @@
      </listitem>
 
    </itemizedlist>
-  </sect2>
+  </section>
 
-  <sect2>
+  <section>
    <title>Changes</title>
 
    <para>
@@ -4978,7 +4980,7 @@
     the previous major release.
    </para>
 
-   <sect3>
+   <section>
     <title>Performance Improvements</title>
     <itemizedlist>
 
@@ -5152,9 +5154,9 @@
 
     </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>Server Changes</title>
     <itemizedlist>
 
@@ -5467,9 +5469,9 @@
 
     </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>Query Changes</title>
     <itemizedlist>
 
@@ -5684,9 +5686,9 @@
 
     </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>Object Manipulation Changes</title>
     <itemizedlist>
 
@@ -5868,9 +5870,9 @@
 
     </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>Utility Command Changes</title>
     <itemizedlist>
 
@@ -5951,9 +5953,9 @@
 
     </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>Date/Time Changes</title>
     <itemizedlist>
 
@@ -6063,9 +6065,9 @@
 
     </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>Other Data Type and Function Changes</title>
     <itemizedlist>
 
@@ -6209,9 +6211,9 @@
 
     </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>PL/pgSQL Server-Side Language Changes</title>
     <itemizedlist>
 
@@ -6258,9 +6260,9 @@
 
     </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>PL/Perl Server-Side Language Changes</title>
     <itemizedlist>
 
@@ -6303,9 +6305,9 @@
 
     </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>PL/Python Server-Side Language Changes</title>
     <itemizedlist>
 
@@ -6350,9 +6352,9 @@
 
     </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title><link linkend="app-psql"><application>psql</application></link> Changes</title>
     <itemizedlist>
 
@@ -6458,9 +6460,9 @@
 
     </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title><link linkend="app-pgdump"><application>pg_dump</application></link> Changes</title>
     <itemizedlist>
 
@@ -6505,9 +6507,9 @@
 
     </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title><link linkend="libpq"><application>libpq</application></link> Changes</title>
     <itemizedlist>
 
@@ -6574,9 +6576,9 @@
 
     </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title><link linkend="ecpg"><application>ecpg</application></link> Changes</title>
     <itemizedlist>
 
@@ -6608,9 +6610,9 @@
 
     </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title><application>Windows</application> Port</title>
     <itemizedlist>
 
@@ -6662,9 +6664,9 @@
 
     </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>Source Code Changes</title>
     <itemizedlist>
 
@@ -6877,9 +6879,9 @@
 
     </itemizedlist>
 
-   </sect3>
+   </section>
 
-   <sect3>
+   <section>
     <title>Contrib Changes</title>
     <itemizedlist>
 
@@ -7071,7 +7073,8 @@
 
     </itemizedlist>
 
-   </sect3>
+   </section>
 
-  </sect2>
- </sect1>
+  </section>
+ </section>
+</section>
